Ironworks Gaming Forum

Ironworks Gaming Forum (http://www.ironworksforum.com/forum/index.php)
-   General Discussion (http://www.ironworksforum.com/forum/forumdisplay.php?f=36)
-   -   I hate forced updates (http://www.ironworksforum.com/forum/showthread.php?t=100274)

dplax 12-17-2008 02:34 PM

I hate forced updates
 
And surprisingly this thread isn't even about Apple or Microsoft...

Quote:

Youíve been updated to the latest version of Firefox 2.

This is the last planned update for Firefox 2.

Thatís it for Firefox 2Ö Update to Firefox 3 Today!

Mozilla is not planning any further security & stability updates for Firefox 2, and recommends that you upgrade to Firefox 3 as soon as possible. Itís free, and your settings and bookmarks will be preserved.
Also, the Phishing Protection service will no longer be available for Firefox 2 users. Firefox 3 offers a free Phishing and Malware Protection service, which will continue to protect you from online scams and attacks.
Way to force people to upgrade...if I haven't upgraded yet it's for a bloody reason...

Variol (Farseer) Elmwood 12-17-2008 02:46 PM

Re: I hate forced updates
 
Funny, I've been thinking of going back to FF 2!

Ilander 12-17-2008 03:42 PM

Re: I hate forced updates
 
...I'm a little confused at the animosity toward migrating to a newer version of an open-source and free piece of software...

Now, if your $1000 copy of AutoDesk said, hey, I'm not going to patch this anymore, and you need to pay $500 more for the latest edition...well, that would upset me...but, as far as I know, most software like that does continue to be updated, until most of the install base has migrated to the newer versions due to the increased productivity that they bring to the table.

I mean, yes, it's about choice, but I'm not sure why one would even have a preference.

It certainly isn't a performance thing. Firefox 3 runs beautifully on my 766MHz Pentium III system with 384 MB of RAM...in fact, that's what I'm typing on at the moment.

Only thing I can think of is that it might break your extensions.

That is a bit of a pain.

Bungleau 12-17-2008 03:43 PM

Re: I hate forced updates
 
Broken extensions have frustrated me. The menu editor that worked on FF2 doesn't work at all on FF3... :(

Variol (Farseer) Elmwood 12-17-2008 04:14 PM

Re: I hate forced updates
 
Quote:

Originally Posted by Ilander (Post 1223687)

It certainly isn't a performance thing. Firefox 3 runs beautifully on my 766MHz Pentium III system with 384 MB of RAM...in fact, that's what I'm typing on at the moment.

Buy a chain and you've got an anchor!!

Actually, my wife's is almost the same and it just gave out (or just a bad connection) about a month ago.

dplax 12-17-2008 06:10 PM

Re: I hate forced updates
 
Broken extensions are one thing...although support for legacy extensions would have been an intelligent thing to build into FF3...but that's a totally different gripe.

I also hate the new way the address bar proposes addresses as you type. What I use under FF2 (just typing the first one or two letters of an address) no longer works, because I can no longer type g and go to giantitp.com because g occurs more frequently in mail.google.com (for which I use m currently). And I can't be bothered relearning what I need to type for all of the internet addresses I use. (we have FF3 at work, so I do know how it works)

Give me FF3 without that new feature and I might use it. Anyway, the fact that I don't like FF3 isn't my main problem.

Quote:

Also, the Phishing Protection service will no longer be available for Firefox 2 users.
The fact that they no longer update is understandable. Everyone does it with older software...the above sentence is different. Basically translates to..."Don't want to change? Ok, we'll remove a feature you had."

I don't give a rat's ass about phishing protection, I don't need it (I know what to avoid), it's just the fact that they are deactivating a feature just because you don't want to upgrade. It's like saying that people who don't use the latest winamp version from now on can no longer play FLAC files.

EDIT: before anyone makes the point that Winamp actually doesn't play FLAC files...that's beside the point of the post, and I'm aware of it. :P

Felix The Assassin 12-17-2008 10:05 PM

Re: I hate forced updates
 
Quote:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111318 Ubuntu/8.10 (intrepid) Firefox/3.0.4
Smooth as silk, fast as a slick cotton tail with a fox on his scent.
However, some of the older extensions, plug-ins and widgets don't cooperate, but hey, for the price who can complain?

Yorick 12-17-2008 11:30 PM

Re: I hate forced updates
 
Quote:

Originally Posted by Ilander (Post 1223687)
...I'm a little confused at the animosity toward migrating to a newer version of an open-source and free piece of software...

Now, if your $1000 copy of AutoDesk said, hey, I'm not going to patch this anymore, and you need to pay $500 more for the latest edition...well, that would upset me...but, as far as I know, most software like that does continue to be updated, until most of the install base has migrated to the newer versions due to the increased productivity that they bring to the table.

I mean, yes, it's about choice, but I'm not sure why one would even have a preference.

It certainly isn't a performance thing. Firefox 3 runs beautifully on my 766MHz Pentium III system with 384 MB of RAM...in fact, that's what I'm typing on at the moment.

Only thing I can think of is that it might break your extensions.

That is a bit of a pain.

If your Mum gave you a gift, say a handknitted sweater she made for you, and you loved it, would you get pissed off if she just took it off you and knitted on new red arms without asking?

Kakero 12-18-2008 12:05 AM

Re: I hate forced updates
 
As an IE user I chuckled a bit. ;)

*goes and hide*

Dundee Slaytern 12-18-2008 07:08 AM

Re: I hate forced updates
 
Quote:

Originally Posted by Yorick (Post 1223739)
If your Mum gave you a gift, say a handknitted sweater she made for you, and you loved it, would you get pissed off if she just took it off you and knitted on new red arms without asking?

This analogy is flawed, because they are not modifying FF2, just ceasing support for it.

Ergo, your mother stops repairing any holes/tears in your handknitted sweater, and badgers you to wear the new one she bought for you. The resistance comes about because one has grown comfortable with the old one.

Cheers.


All times are GMT -4. The time now is 05:26 PM.

Powered by vBulletin® Version 3.8.3
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
©2022 Ironworks Gaming & ©2022 The Great Escape Studios TM - All Rights Reserved